local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onTalk()
	disableMovement()
	if not getFlag("HasBeatenSuperSpecialGravitronWow") then
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("Pet Me", "CC_natalie_npc_orange"))
	else
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("Pet Me", "CC_natalie_npc_orangeB"))
	end
	setFlag("superimpossiblegravitronmodeactivated",true)
	enableMovement()
end

function onEnd()
	enableMovement()
end